This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1473224 - at-spi-registryd.desktop Not responding
at-spi-registryd.desktop Not responding
Status: NEW
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 05:14 EDT by Chrit van Ewijk
Modified: 2017-08-31 04:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shows cinnamon session dialog while shutting down (2.84 MB, image/png)
2017-07-20 05:14 EDT, Chrit van Ewijk
no flags Details
multiple boot start up screen (71.88 KB, image/jpeg)
2017-07-21 11:06 EDT, Chrit van Ewijk
no flags Details
i choose cinnamon-shell (52.58 KB, image/jpeg)
2017-07-21 11:09 EDT, Chrit van Ewijk
no flags Details
and i get the gnome shell (78.35 KB, image/jpeg)
2017-07-21 11:10 EDT, Chrit van Ewijk
no flags Details

  None (edit)
Description Chrit van Ewijk 2017-07-20 05:14:16 EDT
Created attachment 1301602 [details]
shows cinnamon session dialog while shutting down

Description of problem:
After upgrading, using the commandline  "sudo dnf system-upgrade download --releasever=26" from F25 to F26 the problem first occurred.
When trying to shutdown the PC I get the message "at-spi-registryd.desktop Not responding". After clicking "Shutdow-anyway" the PC  shuts down immediately and correctly. See also the attachment


Version-Release number of selected component (if applicable):

Cinnamon version 3.4.4

How reproducible:
Happens at every PC shutdown

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 leigh scott 2017-07-20 06:17:41 EDT
Are you using lightdm? if so which greeter?


rpm -qa lightdm\* *\greeter |sort
Comment 2 leigh scott 2017-07-20 06:28:23 EDT
also attach ~/.xsession-errors

And it would be good to see who owns the process


ps u -p $(pidof at-spi2-registryd)
Comment 3 Chrit van Ewijk 2017-07-21 04:08:28 EDT
I do not use lightdm.
But i do use:

[root@linux ~]# dnf install redshift
Last metadata expiration check: 0:57:10 ago on Fri 21 Jul 2017 09:09:09 AM CEST.
Package redshift-1.11-5.fc26.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!
Comment 4 Chrit van Ewijk 2017-07-21 04:26:40 EDT
[root@linux ~]# ps u -p $(pidof at-spi2-registryd)
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
gdm       1255  0.0  0.1 220568  5880 ?        Sl   08:59   0:00 /usr/libexec/at
cewijk    1616  0.0  0.1 220460  5528 ?        Sl   09:02   0:00 /usr/libexec/at
[root@linux ~]# 

But I can't find xsession-errors ........

[root@linux /]# ls -a /home/cewijk
 .                               .kde
 ..                              ll
 93rrit                          .local
 .adobe                          .macromedia
'#assemblerdef.py#'              map.scm
 assemblerdef.py                 map.scm~
 assemblerdef.py~               '#*message*-20170131-110514#'
 .bash_history                   .mozilla
 .bash_logout                    Music
 .bash_profile                   Music2
 bash_prompt.txt                 n2t_python_project6.py
 .bashrc                         Pictures
 C                               .pki
 .cache                          Playlists
 .cddb                           Pong.asm
 .cinnamon                       Pong.hack
 .config                        'Project 5 - The Meta-Circular Evaluator.html'
 Desktop                         Public
 Documents                       .python_history
 Downloads                       .python_history-03083.tmp
'dracut_--regenate-all output'   .racket
 dwhelper                        Racket
 .emacs.d                       '#run-sage#'
 environment.scm                 S
 .esd_auth                       .sage
 EssProgLan.pdf                  .ssh
 .face                           Temp
 FB                              Templates
 gedit                           test.c
 .geiser_history.racket          test.spyx
 .gnome                          .TeXmacs
 .gnome2                        '#try.sage#'
 .gnome2_private                 Tuinfl_Fedora_repair_home
 .gnupg                         'unix in a nutshell addresses'
 .gphoto                         url_adobe_flash_plugin.txt
 grubconfig.txt                  Videos
 .ICEauthority                   Windows
 .idlerc                         .wine
 initramfs                       winenotepad.txt
 .ipython
[root@linux /]#
Comment 5 leigh scott 2017-07-21 04:34:37 EDT
(In reply to Chrit van Ewijk from comment #4)
> [root@linux ~]# ps u -p $(pidof at-spi2-registryd)
> USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
> gdm       1255  0.0  0.1 220568  5880 ?        Sl   08:59   0:00
> /usr/libexec/at

Gdm is responsible for closing it's own at-spi2-registryd instance.
Comment 6 Chrit van Ewijk 2017-07-21 11:06 EDT
Created attachment 1302483 [details]
multiple boot start up screen
Comment 7 Chrit van Ewijk 2017-07-21 11:09 EDT
Created attachment 1302487 [details]
i choose cinnamon-shell
Comment 8 Chrit van Ewijk 2017-07-21 11:10 EDT
Created attachment 1302488 [details]
and i get the gnome shell
Comment 9 Chrit van Ewijk 2017-07-21 11:12:12 EDT
I have a related? problem.
When i start up linux and choose the cinnamon shell the i get the gnome-shell. See the 3 attachments.
Comment 10 fredo 2017-08-31 04:49:04 EDT
I have the same problem. This process does not respond to each shutdown of the Fedora 26 system.

Note You need to log in before you can comment on or make changes to this bug.